<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include_once('config/config_rsmaster.php');
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'rsmaster')
	{
		$character = $_POST['character'];
		$pass2 = $_POST['pass2'];
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($character))
		{
			$error = "Chưa chọn nhân vật cần Đổi giới tính";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
			{
				$error = "Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
			}
		elseif (empty($pass2))
		{
			$error = "Chưa nhập mật khẩu Web";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
				$error = "Dữ liệu lỗi - Mật khẩu Web chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'pass2'    =>  $pass2,
                
                'pagesv'	=>	'sv_char_reset_master',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
			     $info = read_TagName($reponse, 'info', 1);
				if ($info == 'OK') {
					$notice = read_TagName($reponse, 'msg', 1);
					$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin'] - $rsmaster_gcoin;
				}
				else $error = $reponse;
			}
		}
	}
}

$font_thieu_begin = "<font color='red'><b>";
$font_thieu_end = "</b></font>";
$font_du_begin = "<font color='green'><b>";
$font_du_end = "</b></font>";

if (isset($_SESSION['nv_class_master']) && $_SESSION['nv_class_master'] == 1) 
{
    $isclassmaster = 1;
    $nvmaster = "$font_du_begin Nhân vật là Master $font_du_end";
}
else
{
    $isclassmaster = 0;
    $nvmaster = "$font_thieu_begin Nhân vật không phải là Master $font_thieu_end";
}

$accept = 1; 
if ( $_SESSION['nv_online'] == 1 || $isclassmaster == 0 ) { $accept = 0; }	

$page_template = "templates/char_manager/rsmaster.tpl";
?>